remiprev remiprev

her

5 2 0

Her is an ORM (Object Relational Mapper) that maps REST resources to Ruby objects. It is designed to build applications that are powered by a RESTful API instead of a database.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems activemodel >= 3.2.0 5.0.0.1

activemodel

A toolkit for building modeling frameworks like Active Record. Rich support for attributes, callbacks, validations, serialization, internationalization, and testing.

This dependency is up-to-date. Congrats and keep going!

Gems activesupport >= 3.2.0 5.0.0.1

activesupport

A toolkit of support libraries and Ruby core extensions extracted from the Rails framework. Rich support for multibyte strings, internationalization, time zones, and testing.

This dependency is up-to-date. Congrats and keep going!

Gems faraday < 1.0, >= 0.8 0.10.0

faraday

HTTP/REST API client library.

This dependency is up-to-date. Congrats and keep going!

Gems multi_json ~> 1.7 1.12.1

multi_json

A common interface to multiple JSON libraries, including Oj, Yajl, the JSON gem (with C-extensions), the pure-Ruby JSON gem, NSJSONSerialization, gson.rb, JrJackson, and OkJson.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems json ~> 1.8 2.0.2

json

This is a JSON implementation as a Ruby extension in C.

This dependency is not matching latest version. Please consider upgrading.

Gems rake ~> 10.0 12.0.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems rspec ~> 3.5 3.5.0

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!